cancel
Showing results for 
Search instead for 
Did you mean: 

Installing 2.4 on XAMPP

Highlighted

Installing 2.4 on XAMPP

I am trying to install 2.4 on my localhost (XAMPP) the same way I have always done in the past with no issues. As I type in my browser localhost/magento I get a part of the first page and do not get the "Agree and Setup Magento" button/link.

All I get is the following:

 

Version 2.4.0

Welcome to Magento Admin, your online store headquarters.
Please review Terms & Agreement and read Getting Started to learn how to install Magento using the command line.



4 REPLIES 4
Highlighted

Re: Installing 2.4 on XAMPP

@Media Bug 

 

From Magento 2.4 they have removed setup wizard and now to install Magento too you have to install by CLI. In shared message you can find official documentation to install.

 

You have to install elasticsearch too before installing it local. 

https://devdocs.magento.com/guides/v2.4/install-gde/composer.html

https://devdocs.magento.com/guides/v2.4/install-gde/bk-install-guide.html

https://devdocs.magento.com/guides/v2.4/install-gde/system-requirements-tech.html

Manish Mittal
https://www.manishmittal.com/
Highlighted

Re: Installing 2.4 on XAMPP

Highlighted

Re: Installing 2.4 on XAMPP

Go to XAMPP web site (https://www.apachefriends.org/index.html) and download the installer based on your operating system. Installation should be similar to a normal software installation you do in your operating system.

 

When installing, there would be an option to select whether you want to run Apache and MySQL as services. If you chose it, Apache and MySQL will start at system boot-up which may not need if your computer is tight with memory resources or if you are not doing PHP development frequently. You can change these settings after installation.and if you like to watch Love Thy Woman by ABS CBN pinoy tambayan replay.

 

Highlighted

Re: Installing 2.4 on XAMPP

You're screwed, sorry Adobe removed Mysql (one of those M's) and forcing you to use Elastic Search which 80% of the hosting companies WILL NOT BE SUPPORTING, so you are FORCED to get an Elastic Search account, plan on spending money, JUST FOR SEARCH function in Magento and required for install!  Someone at Adobe also HATES GUI because now you are also FORCE to use Command-Line, not a fulltime dedicated programmer, sorry Magento is NOT FOR YOU...

 

Adobe is to Magento as KMart is to Sears... Plan on seeking an Alternative!!